Package org.eclipse.net4j.db.ddl.delta

# Interface IDBDelta

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`

All Known Subinterfaces:
  `IDBDeltaWithPosition`, `IDBDeltaWithProperties`, `IDBFieldDelta`, `IDBIndexDelta`, `IDBIndexFieldDelta`, `IDBPropertyDelta<T>`, `IDBSchemaDelta`, `IDBTableDelta`

public interface IDBDelta extends IDBNamedElement, org.eclipse.net4j.util.container.IContainer<IDBDelta>, Comparable<IDBDelta>

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`IDBDelta.ChangeKind`
`static enum`
`IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Method Summary

Modifier and Type
Method
Description
`void`
`accept(IDBDeltaVisitor visitor)`
`IDBDelta.ChangeKind`
`getChangeKind()`
`IDBDelta.DeltaType`
`getDeltaType()`
`IDBDelta`
`getParent()`
`IDBSchemaDelta`
`getSchemaDelta()`
`IDBSchemaElement`
`getSchemaElement(IDBSchema schema)`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getDeltaType

IDBDelta.DeltaType getDeltaType()

### getParent

IDBDelta getParent()

Specified by:
  `getParent` in interface `IDBElement`

### getSchemaDelta

IDBSchemaDelta getSchemaDelta()

Since:
  4.12

### getChangeKind

IDBDelta.ChangeKind getChangeKind()

### accept

void accept(IDBDeltaVisitor visitor)

### getSchemaElement

IDBSchemaElement getSchemaElement(IDBSchema schema)